won't open sqlite3 file due to libdbi

Bug #1273407 reported by Thomas Templin
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnucash (Ubuntu)
Fix Released
Undecided
Unassigned
libdbi (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Problem:
Gnucash refuses to open a sqlite3 file (Fehlendes Dateimodul - missing file-module)

Solution:
downgrade to libdbi1 Version 0.8.4-6 from saucy

$ apt-cache policy gnucash
gnucash:
  Installiert: 1:2.6.0-1

$ apt-cache policy libdbi1
libdbi1:
  Installiert: 0.8.4-6
  Installationskandidat: 0.9.0-1

Revision history for this message
Robie Basak (racb) wrote :

Adding libdbi task to close duplicate bug. Does this make gnucash completely unusable? Does gnucash just need a rebuild against the latest libdbi?

Revision history for this message
Thomas Templin (coastgnu) wrote :

> Does this make gnucash completely unusable?
It affects all gnucash files stored as sqlite3.
I would asume that due to libdbi1 it might also affect gnucash files stored in mysql or pgsql

GNUCash xml files seem not to be affected. Tested opening of an existing gnucash xml, didn't test a new file

> Does gnucash just need a rebuild against the latest libdbi?
This or a rebuild of libdbi (if build options of libdbi have changed)

Revision history for this message
Thomas Templin (coastgnu) wrote :

Also affects gnucash 2.6.1-1

$ apt-cache policy gnucash
gnucash:
  Installiert: 1:2.6.1-1

Revision history for this message
Thomas Templin (coastgnu) wrote :

It seems that libdbi1 and libdbd-mysql have to be the same version!

There is a mail on the german gnucash list:
 http://lists.gnucash.org/pipermail/gnucash-de/2014-January/008932.html

Due to the poster the problem dissapeared after upgrading libdbd-mysql to version 0.9

So libdbi1 and libdbd-mysql have to be the same version

The versions in trusty are:
$ apt-cache policy libdbi1 libdbd-sqlite3
libdbi1:
  Installiert: 0.8.4-6
  Installationskandidat: 0.9.0-1
[...]

libdbd-sqlite3:
  Installiert: 0.8.3-1+s-5ubuntu1
  Installationskandidat: 0.8.3-1+s-5ubuntu1
[...]

Upgrading libdbd-mysql to 0.9 will solve the problem, hopefully....
At least it did so in Debian

Revision history for this message
Robie Basak (racb) wrote :

Was this bug fixed in src:libdbi-drivers 0.9.0-2ubuntu2?

Revision history for this message
Thomas Templin (coastgnu) wrote : Re: [Bug 1273407] Re: won't open sqlite3 file due to libdbi

Am Mittwoch 19 Februar 2014, 08:58:55 schrieb Robie Basak:
> Was this bug fixed in src:libdbi-drivers 0.9.0-2ubuntu2?
Yes!

Revision history for this message
Robie Basak (racb) wrote :

Thank you for confirming.

Changed in gnucash (Ubuntu):
status: New → Fix Released
Changed in libdbi (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers